Subject: ARM topic: Is DT on ARM the solution, or is there something better?

From: [email-masked] (Sascha Hauer)
Date: Thu, 24 Oct 2013 09:28:11 +0200

On Wed, Oct 23, 2013 at 09:14:17PM -0400, Rob Clark wrote:
> On Mon, Oct 21, 2013 at 5:27 AM, Sascha Hauer <[email-masked]> wrote:
> >> If a subsystem doesn't work well with DT, then the choices are either:
> >>
> >> (a) don't use DT with the subsystem
> >
> > The underlying problem has nothing to do with DT. Multi component
> > hardware does exist and won't vanish when we stop using DT.
> >
> >> (b) fix the subsystem
> >
> > I'd love to do that. Step one to this seems to be to increase the
> > awareness that there's something wrong with DRM.
> 
> 
> Note that I suspect your idea of "fixing drm" is going to break some
> userspace assumptions about the hw (ie. userspace isn't expecting
> crtcs/encoders/connectors to suddenly appear/disappear.  And the funny
> thing is, on all of this hw, that isn't going to happen anyways.

I was talking about all SoC DRM drivers implementing variants of the
same glue between drm and the multidevice nature of the components.

To make that sure: I never had the intention to implement hotplug for
drm. Also what the imx-drm driver does is not for hotplug, but only for
binding different components together.

Sascha

-- 
Pengutronix e.K.                           |                             |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |
Peiner Str. 6-8, 31137 Hildesheim, Germany | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |